/**
 * Copyright (c) [2022 - Present] Stɑrry Shivɑm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.starry.myne.ui.theme

import androidx.compose.ui.graphics.Color

// Light Theme Colors
val primaryLight = Color(0xFF0D6681)
val onPrimaryLight = Color(0xFFFFFFFF)
val primaryContainerLight = Color(0xFFBBEAFF)
val onPrimaryContainerLight = Color(0xFF001F29)
val secondaryLight = Color(0xFF4C616B)
val onSecondaryLight = Color(0xFFFFFFFF)
val secondaryContainerLight = Color(0xFFCFE6F1)
val onSecondaryContainerLight = Color(0xFF071E26)
val tertiaryLight = Color(0xFF5C5B7E)
val onTertiaryLight = Color(0xFFFFFFFF)
val tertiaryContainerLight = Color(0xFFE2DFFF)
val onTertiaryContainerLight = Color(0xFF181837)
val errorLight = Color(0xFFBA1A1A)
val onErrorLight = Color(0xFFFFFFFF)
val errorContainerLight = Color(0xFFFFDAD6)
val onErrorContainerLight = Color(0xFF410002)
val backgroundLight = Color(0xFFF5FAFD)
val onBackgroundLight = Color(0xFF171C1F)
val surfaceLight = Color(0xFFF5FAFD)
val onSurfaceLight = Color(0xFF171C1F)
val surfaceVariantLight = Color(0xFFDCE4E8)
val onSurfaceVariantLight = Color(0xFF40484C)
val outlineLight = Color(0xFF70787D)
val outlineVariantLight = Color(0xFFC0C8CC)
val scrimLight = Color(0xFF000000)
val inverseSurfaceLight = Color(0xFF2C3134)
val inverseOnSurfaceLight = Color(0xFFEDF1F5)
val inversePrimaryLight = Color(0xFF89D0EE)
val surfaceDimLight = Color(0xFFD6DBDE)
val surfaceBrightLight = Color(0xFFF5FAFD)
val surfaceContainerLowestLight = Color(0xFFFFFFFF)
val surfaceContainerLowLight = Color(0xFFF0F4F7)
val surfaceContainerLight = Color(0xFFEAEEF2)
val surfaceContainerHighLight = Color(0xFFE4E9EC)
val surfaceContainerHighestLight = Color(0xFFDEE3E6)

// Dark Theme Colors
val primaryDark = Color(0xFF89D0EE)
val onPrimaryDark = Color(0xFF003545)
val primaryContainerDark = Color(0xFF004D62)
val onPrimaryContainerDark = Color(0xFFBBEAFF)
val secondaryDark = Color(0xFFB4CAD5)
val onSecondaryDark = Color(0xFF1E333C)
val secondaryContainerDark = Color(0xFF354A53)
val onSecondaryContainerDark = Color(0xFFCFE6F1)
val tertiaryDark = Color(0xFFC5C3EA)
val onTertiaryDark = Color(0xFF2D2D4D)
val tertiaryContainerDark = Color(0xFF444465)
val onTertiaryContainerDark = Color(0xFFE2DFFF)
val errorDark = Color(0xFFFFB4AB)
val onErrorDark = Color(0xFF690005)
val errorContainerDark = Color(0xFF93000A)
val onErrorContainerDark = Color(0xFFFFDAD6)
val backgroundDark = Color(0xFF0F1417)
val onBackgroundDark = Color(0xFFDEE3E6)
val surfaceDark = Color(0xFF0F1417)
val onSurfaceDark = Color(0xFFDEE3E6)
val surfaceVariantDark = Color(0xFF40484C)
val onSurfaceVariantDark = Color(0xFFC0C8CC)
val outlineDark = Color(0xFF8A9296)
val outlineVariantDark = Color(0xFF40484C)
val scrimDark = Color(0xFF000000)
val inverseSurfaceDark = Color(0xFFDEE3E6)
val inverseOnSurfaceDark = Color(0xFF2C3134)
val inversePrimaryDark = Color(0xFF0D6681)
val surfaceDimDark = Color(0xFF0F1417)
val surfaceBrightDark = Color(0xFF353A3D)
val surfaceContainerLowestDark = Color(0xFF0A0F11)
val surfaceContainerLowDark = Color(0xFF171C1F)
val surfaceContainerDark = Color(0xFF1B2023)
val surfaceContainerHighDark = Color(0xFF252B2D)
val surfaceContainerHighestDark = Color(0xFF303638)